/* NSTableDataSource.m
 *  
 * Copyright (C) 2004 Free Software Foundation, Inc.
 *
 * Author: Charles Philip Chan <cpchan@sympatico.ca>
 * Date: May 24, 2006
 *
 * This file is part of the GNUstep Inspector application
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02111 USA.
 */

#include "NSTableDataSource.h"

@implementation NSArray (NSTableDataSource)

// just returns the item for the right row
- (id)tableView:(NSTableView *)aTableView
           objectValueForTableColumn:(NSTableColumn *)aTableColumn
           row:(int)rowIndex
{  
  NSLog(@"Method called");
  NSLog(@"The object is %@", [self objectAtIndex:rowIndex]);
//  return [self objectAtIndex:rowIndex];
return [[self objectAtIndex:rowIndex] objectForKey: [aTableColumn identifier]];
}

// just returns the number of items we have.
- (int)numberOfRowsInTableView:(NSTableView *)aTableView
{
  NSLog(@"The Count is %d", [self count]);    
  int counter ;   
  counter = [self count];
  return counter;  
}
@end
